package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpQuote对象",
   description = "报价表"
)
public class DrpQuote {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("报价主键id")
   private Long quoteId;
   @ApiModelProperty("询价供应商主键id")
   private Long inquirySupplierId;
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getQuoteId() {
      return this.quoteId;
   }

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setQuoteId(final Long quoteId) {
      this.quoteId = quoteId;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpQuote(id=" + var10000 + ", quoteId=" + this.getQuoteId() + ", inquirySupplierId=" + this.getInquirySupplierId() + ", inquiryDetailId=" + this.getInquiryDetailId() + ", quoteNum=" + String.valueOf(this.getQuoteNum()) + ", totalPrice=" + this.getTotalPrice() + ", singlePrice=" + this.getSinglePrice() + ", revision=" + this.getRevision() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
